Subject: [dhcwg] Re: GEN-ART review of Detection of Network Attachment (DNA) in IPv4

From: Bernard Aboba <[email-masked]>
Date: Wed, 1 Jun 2005 17:39:22 -0700 (PDT)

Thank you for this review.  I have filed this as Issue #27 on the DNA
issues list:
http:/www.drizzle.com/~aboba/DNA/

A version of the document with this (and other) changes applied is
available here:
http://www.drizzle.com/~aboba/DNA/draft-ietf-dhc-dna-ipv4-12.txt

2) Abstract says:
   "The time required to detect movement (or lack of movement) ..."  is a
   bit strange. Do you need to detect lack of movement?  I would imagine
   detecting that the host is still attached is more relevant.

[BA] Agreed. How about this:

" The time required to detect movement between networks, and to obtain
(or continue to use) an operable IPv4 configuration may be
significant as a fraction of the total handover latency in moving
between points of attachment. This document specifies a procedure
for optimizing detection of network attachment in order to decrease
the handover latency in moving between points of attachment."

3) Should add "Link Up" to a terminology section - there was discussion of
what link up means in the DNA working group, and I think that what the
outcome was in that wg should apply here.

[BA] How about this?

"Link Up
An event provided by the link layer that signifies a state change
associated with the interface becoming capable of communicating IP
packets."

4) Page 5 says:

   "To improve robustness, this document suggests that hosts behave
   conservatively with respect to assignment of IPv4 Link-Local
   addresses, configuring them only in situations in which they can do .."

   A reference to the IPv4 Link Local document would be useful here.

[BA] Agreed.

5) Bottom of page 15 says:

   "Thus, associating to the same SSID is a necessary, but not .."

   I think that you mean:

   "Thus, associating to the same SSID is a necessity, but not .."
                                                  ^^^
[BA] Propose removing that sentence since it doesn't seem to add value.

6) The security considerations section is a bit worrying.  I'm not sure
   what should be added, but I don't think there is enough guidance to
   implementors on how to deterimine if running DNA is safe or not.  I'd
   probably like some short text on this.

[BA] How about this?

"Detecting Network Attachment for IPv4 (DNAv4) is based on ARP and
DHCP and inherits the security vulnerabilities of these two
protocols.

ARP [RFC826] traffic is not secured, so that an attacker gaining
access to the network can spoof a response to the reachability test
described in Section 2.2, leading the querier to falsely conclude
that it is attached to a network that it is not connected to.

Similarly, where DHCPv4 traffic is not secured, an attacker could
masquerade as a DHCPv4 server, in order to convince the host that it
was attached to a particular network. This and other threats
relating to DHCPv4 are described in "Authentication for DHCP
Messages" [RFC3118].

The effect of these attacks will typically be limited to denial of
service, unless the host utilizes its IP configuration for other
purposes, such as security configuration or location determination.
For example, a host that disables its personal firewall based on
evidence that it had attached to a home network could be compromised
by spoofing of the DNAv4 reachability test. In general, adjustment
of the security configuration based on DNAv4 is NOT RECOMMENDED.

Hosts that depend on secure IP configuration SHOULD NOT use DNAv4,
but SHOULD instead utilize DHCP authentication [RFC3118], possibly in
combination with the Rapid Commit Option [RFC4039]."

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tue 5/31/2005 11:54 PM
> To: [email-masked]
> Cc: Bernard Aboba; [email-masked]; [email-masked]; [email-masked]
> Subject: GEN-ART review of  Detection of Network Attachment (DNA) in IPv4
>
> Hi all,
>
> This is a GEN-ART (General Area Review Team) last call review of draft-ietf-dhc-dna-ipv4-11.txt.
> I know LC ended, so think of these as initial comments on a potential IESG Review.  As
> a side note, I'm about to head-off on a vacation until June 28th, so I wanted to get
> this out early.
>
> Most of the comments would be good to address if you revise the draft before IESG
> review; otherwise I can re-review it during IESG review for the General Area.
>
> My major comments:
>
> 1) DNA WG stands for "Detecting Network Attachment", perhaps the title of this
>    doc should use the same terms.
>
> 2) Abstract says:
>    "The time required to detect movement (or lack of movement) ..."  is a bit
>    strange. Do you need to detect lack of movement?  I would imagine detecting
>    that the host is still attached is more relevant.
>
> 3) Should add "Link Up" to a terminology section - there was discussion of what
>    link up means in the DNA working group, and I think that what the outcome was
>    in that wg should apply here.
>
> 4) Page 5 says:
>
>    "To improve robustness, this document suggests that hosts behave
>    conservatively with respect to assignment of IPv4 Link-Local
>    addresses, configuring them only in situations in which they can do .."
>
>    A reference to the IPv4 Link Local document would be useful here.
>
> 5) Bottom of page 15 says:
>
>    "Thus, associating to the same SSID is a necessary, but not .."
>
>    I think that you mean:
>
>    "Thus, associating to the same SSID is a necessity, but not .."
>                                                   ^^^
> 6) The security considerations section is a bit worrying.  I'm not sure
>    what should be added, but I don't think there is enough guidence to
>    implementors on how to deterimine if running DNA is safe or not.  I'd
>    probably like some short text on this.
>
> thanks,
> John
>
>

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: [email-masked]
Date: Thu, 2 Jun 2005 06:46:58 +0300

Bernard,

The changes clear all of my open issues.

John

> From: ext Bernard Aboba [mailto:[email-masked]]
> Sent: 02 June, 2005 03:39
> To: Loughney John (Nokia-NRC/Helsinki)
> Cc: [email-masked]
> Subject: Re: GEN-ART review of Detection of Network 
> Attachment (DNA) in
> IPv4
> 
> 
> > This is a GEN-ART (General Area Review Team) last call 
> review of draft-ietf-dhc-dna-ipv4-11.txt.